#
# spec file for package python-os-testr
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-os-testr
Version:        1.0.0
Release:        lp151.3.3
Summary:        A testr wrapper to provide functionality for OpenStack projects
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://docs.openstack.org/developer/os-testr
Source0:        https://files.pythonhosted.org/packages/source/o/os-testr/os-testr-1.0.0.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-devel
BuildRequires:  python2-ddt >= 1.0.1
BuildRequires:  python2-oslotest >= 3.2.0
BuildRequires:  python2-pbr >= 2.0.0
BuildRequires:  python2-six >= 1.10.0
BuildRequires:  python2-stestr >= 1.0.0
BuildRequires:  python2-testscenarios >= 0.4
BuildRequires:  python3-ddt >= 1.0.1
BuildRequires:  python3-devel
BuildRequires:  python3-oslotest >= 3.2.0
BuildRequires:  python3-pbr >= 2.0.0
BuildRequires:  python3-six >= 1.10.0
BuildRequires:  python3-stestr >= 1.0.0
BuildRequires:  python3-testscenarios >= 0.4
Requires:       python-pbr >= 2.0.0
Requires:       python-python-subunit >= 1.0.0
Requires:       python-stestr >= 1.0.0
Requires:       python-testtools >= 2.2.0
BuildArch:      noarch
%if 0%{?suse_version}
Requires(post): update-alternatives
Requires(postun): update-alternatives
%else
# on RDO, update-alternatives is in chkconfig
Requires(post): chkconfig
Requires(postun): chkconfig
%endif
%python_subpackages

%description
A testr wrapper to provide functionality for OpenStack projects
* Documentation: http://docs.openstack.org/developer/os-testr
* Source: http://git.openstack.org/cgit/openstack/os-testr
* Bugs: http://bugs.launchpad.net/os-testr

%package -n python-os-testr-doc
Summary:        Documentation for the testr
Group:          Documentation/HTML
BuildRequires:  python-Sphinx
BuildRequires:  python-openstackdocstheme >= 1.18.1

%description -n python-os-testr-doc
Documentation for the testr wrapper.

%prep
%autosetup -p1 -n os-testr-1.0.0
%py_req_cleanup
sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg

%build
%{python_build}

# generate html docs
%{__python2} setup.py build_sphinx
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}

%install
%{python_install}
%python_clone -a %{buildroot}%{_bindir}/generate-subunit
%python_clone -a %{buildroot}%{_bindir}/ostestr
%python_clone -a %{buildroot}%{_bindir}/subunit-trace
%python_clone -a %{buildroot}%{_bindir}/subunit2html

%post
%python_install_alternative generate-subunit
%python_install_alternative ostestr
%python_install_alternative subunit-trace
%python_install_alternative subunit2html

%postun
%python_uninstall_alternative generate-subunit
%python_uninstall_alternative ostestr
%python_uninstall_alternative subunit-trace
%python_uninstall_alternative subunit2html

%files %{python_files}
%defattr(-,root,root,-)
%license LICENSE
%python_alternative %{_bindir}/generate-subunit
%python_alternative %{_bindir}/ostestr
%python_alternative %{_bindir}/subunit-trace
%python_alternative %{_bindir}/subunit2html
%{python_sitelib}/os_testr
%{python_sitelib}/os_testr*egg-info

%files -n python-os-testr-doc
%license LICENSE
%doc doc/build/html README.rst ChangeLog

%changelog
* Fri Feb 23 2018 tbechtold@suse.com
- Switch to stable/queens spec template
* Fri Dec  8 2017 cloud-devel@suse.de
- update to version 1.0.0
  - Switch to stestr under the covers
  - rearrange content to fit the new standard layout
  - Turn on warning-is-error in sphinx build
  - Just changed the opening of the file
  - update doc URL to the new location in the readme
  - Fail when no test case selected
  - Updated from global requirements
  - Switch from oslosphinx to openstackdocstheme
* Mon Aug  7 2017 cloud-devel@suse.de
- update to version 0.8.2
  - Save subunit results file when using --no-discover
  - Fix typo and change regexp to regex
  - Add Constraints support
  - Track failures during sorting of test results
  - Fix error when without --regex option
  - [Fix gate]Update test requirement
  - Remove unused Babel setup
  - Updated from global requirements
* Mon Feb 13 2017 tbechtold@suse.com
- update _service
- update Requires
* Mon Nov 14 2016 tbechtold@suse.com
  update to version 0.8.0
  * Remove discover from test-requirements
  * Remove the TODO file
  * Delete openstack/common in flake8 exclude list
  * Make subprocess outputs to text for Python 3
  * Handle overlapping black regexes
  * Sort failed tests at the top on HTML result page
  * Update home-page url
  * Add --black-regex/-B option
  * Add ostestr as a function
  * Use dash instead of underscore in args
  * Simplify logic in _get_test_list
  * Fix doc warnings and disable smarty-pants
  * Add documentation for generate-subunit
  * Construct a list of test cases instead of passing a regexp
  * Allow to specifiy black/white list at the same time
  * Make unexpected success as fail
  * Make the listbuilder the default strategy
  * Error on invalid list parameter combination
  * Updated from global requirements
  * Add support for Python versions
* Mon Jul  4 2016 tbechtold@suse.com
- update to 0.7.0:
  * Add whitelist file to ostestr docs
  * Seperate regex builder logic into a seperate module
  * Split functionality out of main
  * Updated from global requirements
  * Fix docs typos
  * Updated from global requirements
  * Fix coverage option and execution
  * Add version option for ostestr and subunit-trace
  * Remove openstack-common.conf
  * Add pypi download + version badges into README.rst
  * remove python 3.3 trove classifier
  * Treat xfail output like success
  * Updated from global requirements
  * correct typo
  * Enable testr run passthrough arguments
  * Updated from global requirements
  * Add unit test for colorizer
- Switch to upstream .spec file
- Use renderspec source service to render upstream
  .spec.j2 template
* Thu Mar  3 2016 tbechtold@suse.com
- Add openstack-macros as BuildRequires for %%license tag
* Thu Mar  3 2016 tbechtold@suse.com
- update to 0.6.0:
  * Support comments in whitelist files
  * Add tool to create a subunit stream
  * Add support to ostestr to use subunit-trace color
  * Fix documentation typos
  * Fix coverage section in tox.ini
  * Add delete *.pyc command before executing ostestr
  * Change to always parsing classes from test_id
  * Add colored output feature to subunit-trace
  * Add *.egg* to .gitignore
  * Fail if no tests were successfully executed
  * Fix syntax of the README file
- Add /usr/bin/generate-subunit
* Thu Feb 25 2016 dmueller@suse.com
- adjust to common packaging guidelines
* Fri Oct 16 2015 dmueller@suse.com
- update to 0.4.2:
  * Better blacklist - tested with Nova
  * Add whitelist file support
  * Fix issues with the blacklist file regex generation
  * Use test_to_run var in no-discover
  * Minor refactoring to make os_testr more testable
  * Switch to using autogenerated ChangeLog in docs
  * Change ignore-errors to ignore_errors
  * Handle a skipped test without a reason message
  * Minimize output when --abbreviate is used
  * Make use of argparse groups and add some tests
  * Convert file names to regular expressions
  * Handle incomplete subunit streams
  * Set min pbr version in setup_requires
  * update requirements
  * Add TODO entry for moving away from subprocess in ostestr
  * Improved docs for os-testr commands
  * Dogfood things for unit tests
  * Disable printing percent change on run time by default
  * Misc Python 3 compatibility fixes
  * Catch exception trying to extract test time
  * Fix ValueError in subunit_trace
  * Add support for having comments in the exclude file
  * Add TODO file to os-testr
* Wed Jun  3 2015 tbechtold@suse.com
- Adjust Requires
* Wed Jun  3 2015 tbechtold@suse.com
- Initial packaging
